Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.quality
Class CodeNarc

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.SourceTask
                      org.gradle.api.plugins.quality.CodeNarc

All Implemented Interfaces:
  Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, PatternFilterable, VerificationTask, org.gradle.util.Configurable<Task>

    public class CodeNarc

extends SourceTask
implements VerificationTask

Runs CodeNarc against some source files.

Field Summary

Fields inherited from interface org.gradle.api.Task
`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`CodeNarc()`

Method Summary
`void` | `check()`
`File` | `getConfigFile()` Returns the CodeNarc configuration file to use.
`File` | `getReportFile()` Returns the file to write the report to.
`String` | `getReportFormat()` Returns the format type of the CodeNarc report.
`boolean` | `isIgnoreFailures()` Specifies whether the build should break when the verifications performed by this task fail.
`void` | `setConfigFile(File configFile)` Specifies the CodeNarc configuration file to use.
`CodeNarc` | `setIgnoreFailures(boolean ignoreFailures)` Specifies whether the build should break when the verifications performed by this task fail.
`void` | `setReportFile(File reportFile)`
`void` | `setReportFormat(String reportFormat)` Specifies the format type of the CodeNarc report.

Methods inherited from class org.gradle.api.tasks.SourceTask
`exclude, exclude, exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doFirst, doLast, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuter, getGroup, getInputs, getLogger, getLogging, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getStandardOutputCapture, getState, getTaskDependencies, getTemporaryDir, hashCode, hasProperty, injectIntoNewInstance, isEnabled, leftShift, onlyIf, onlyIf, property, setActions, setConvention, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setGroup, setName, setOnlyIf, setOnlyIf, setProject, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CodeNarc

    public CodeNarc()

Method Detail

### check

    public void check()

### getConfigFile

    public File getConfigFile()

  Returns the CodeNarc configuration file to use.

  Returns:
    The CodeNarc configuration file.

### setConfigFile

    public void setConfigFile(File configFile)

  Specifies the CodeNarc configuration file to use.

  Parameters:
    `configFile` - The CodeNarc configuration file.

### getReportFormat

    public String getReportFormat()

  Returns the format type of the CodeNarc report.

  Returns:
    The format type of the CodeNarc report.

### setReportFormat

    public void setReportFormat(String reportFormat)

  Specifies the format type of the CodeNarc report.

  Parameters:
    `reportFormat` - The format type of the CodeNarc report.

### getReportFile

    public File getReportFile()

  Returns the file to write the report to.

  Returns:
    The report file. Must not be null.

### setReportFile

    public void setReportFile(File reportFile)

### isIgnoreFailures

    public boolean isIgnoreFailures()

  Specifies whether the build should break when the verifications performed by this task fail.

  Specified by:
    `isIgnoreFailures` in interface `VerificationTask`
  Returns:
    false, when the build should break on failure, true when the failures should be ignored.

### setIgnoreFailures

    public CodeNarc setIgnoreFailures(boolean ignoreFailures)

  Specifies whether the build should break when the verifications performed by this task fail.

  Specified by:
    `setIgnoreFailures` in interface `VerificationTask`
  Parameters:
    `ignoreFailures` - false to break the build on failure, true to ignore the failures. The default is false.
  Returns:
    this

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD